# Retrieve custom domain verification details for a v3 status page. - Checkly Docs

> Get DNS records for verification purposes related to your custom domain.

Source: https://www.checklyhq.com/docs/api-reference/status-pages-v3/retrieve-custom-domain-verification-details-for-a-v3-status-page/

---

Retrieve custom domain verification details for a v3 status page.

```
curl --request GET \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/custom-domain-verifications \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/custom-domain-verifications"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/custom-domain-verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages/{statusPageId}/custom-domain-verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages/{statusPageId}/custom-domain-verifications"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v3/status-pages/{statusPageId}/custom-domain-verifications")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages/{statusPageId}/custom-domain-verifications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"status": " ",
"sslStatus": " ",
"validationMethod": "txt",
"verificationErrors": [
" "
],
"ownershipVerification": {
"type": "txt",
"name": " ",
"value": " "
},
"validationRecords": [
{
"status": " ",
"txt_name": " ",
"txt_value": " "
}
],
"sslValidationErrors": [
{
"message": " "
}
],
"CNAME": " "
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Status Pages

# Retrieve custom domain verification details for a v3 status page.

Get DNS records for verification purposes related to your custom domain.

GET

/

v3

/

status-pages

/

{statusPageId}

/

custom-domain-verifications

Retrieve custom domain verification details for a v3 status page.

```
#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys). Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Path Parameters

​

statusPageId

string

required

#### Response

Successful

​

status

string

required

​

sslStatus

string

required

​

validationMethod

enum<string>

Available options: `txt`,

`http`

​

verificationErrors

string[]

​

ownershipVerification

object

Show child attributes

​

validationRecords

object[]

Show child attributes

​

sslValidationErrors

object[]

Show child attributes

​

CNAME

string

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/status-pages-v3/retrieve-custom-domain-verification-details-for-a-v3-status-page.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/status-pages-v3/retrieve-custom-domain-verification-details-for-a-v3-status-page)

[Delete a v3 status page. Previous](https://www.checklyhq.com/docs/api-reference/status-pages-v3/delete-a-v3-status-page)[Re-check the custom domain verification of a v3 status page. Next](https://www.checklyhq.com/docs/api-reference/status-pages-v3/re-check-the-custom-domain-verification-of-a-v3-status-page)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
